IOSS 2.0

Static Public Member Functions | Protected Member Functions | List of all members
Ioss::St_Tet14 Class Reference

## Static Public Member Functions
static void | factory ()
Static Public Member Functions inherited from Ioss::VariableType
static void | alias (const std::string &base, const std::string &syn)
static int | describe (NameList *names)
| Get the names of variable types known to IOSS. More...
static bool | create_named_suffix_field_type (const std::string &type_name, const std::vector< std::string > &suffices)
static bool | get_field_type_mapping (const std::string &field, std::string *type)
static bool | add_field_type_mapping (const std::string &raw_field, const std::string &raw_type)
static std::string | numeric_label (int which, int ncomp, const std::string &name)
static const VariableType * | factory (const std::string &raw_name, int copies=1)
static const VariableType * | factory (const std::vector< Suffix > &suffices)

## Protected Member Functions
| St_Tet14 ()
Protected Member Functions inherited from Ioss::ElementVariableType
| ElementVariableType (const std::string &type, int comp_count)
Protected Member Functions inherited from Ioss::VariableType
| VariableType (const std::string &type, int comp_count, bool delete_me=false)

## Additional Inherited Members
Public Member Functions inherited from Ioss::ElementVariableType
std::string | label (int, const char) const override
std::string | label_name (const std::string &base, int, const char) const override
int | suffix_count () const override
Public Member Functions inherited from Ioss::VariableType
virtual | ~VariableType ()
int | component_count () const
std::string | name () const
virtual bool | match (const std::vector< Suffix > &suffices) const
Static Protected Member Functions inherited from Ioss::VariableType
static Registry & | registry ()

## Constructor & Destructor Documentation

## ◆ St_Tet14()

Ioss::St_Tet14::St_Tet14 | ( |  | ) |
| inline protected

## Member Function Documentation

## ◆ factory()

static void Ioss::St_Tet14::factory | ( |  | ) |
| inline static

The documentation for this class was generated from the following file:

- src/Ioss_Tet14.C